Unsupported major.minor version XX.X

最近用eclipse开发Android的项目,运行或导出apk时,总报错

com/android/dx/command/dexer/Main : Unsupported major.minor version 52.0

度娘无果后,自己解决了,可能不适用大多数人遇到的问题

解决方法:

打开Android SDK Manager

卸载

Tools(Preview Channel)下已安装的tools



安装

Tools下的Platform-tools和Build-tools


然后保证java、javac、eclipse项目Properties--Java Compiler中的java版本都是一致的

应该就没有问题了


相关推荐
©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页